/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 运营端-奖励进出账详情 POST /api/ParkBountyApply/GetParkBountyTradeDetailList */
export async function getParkBountyTradeDetailList(
  body: API.GetParkBountyTradeDetailByIdInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyTradeDetailOutputPageOutput>(
    '/api/ParkBountyApply/GetParkBountyTradeDetailList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端-奖励金使用管理列表 POST /api/ParkBountyApply/GetParkBountyTradeList */
export async function getParkBountyTradeList(
  body: API.GetParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyTradeOutputPageOutput>(
    '/api/ParkBountyApply/GetParkBountyTradeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端—奖励金-出账 POST /api/ParkBountyApply/ParkBountyApplyTrade */
export async function parkBountyApplyTrade(
  body: API.CreateParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTrade', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
